PHP Manual
Prev |  | Next

# set_include_path

(PHP 4 >= 4.3.0, PHP 5)

set_include_path -- Sets the include_path configuration option

## Description

string set_include_path ( string new_include_path )

Sets the include_path configuration option for the duration of the script.

## Parameters

`new_include_path`

  The new value for the include_path

## Return Values

Returns the old include_path on success or `FALSE` on failure.

## Examples

Example 1. set_include_path() example

`<?php // Works as of PHP 4.3.0 set_include_path('/inc'); // Works in all PHP versions ini_set('include_path', '/inc'); ?>`

Example 2. Adding to the include path

Making use of the `PATH_SEPARATOR` constant, it is possible to extend the include path regardless of the operating system.

In this example we add `/usr/lib/pear` to the end of the existing `include_path`.

`<?php $path = '/usr/lib/pear'; set_include_path(get_include_path() . PATH_SEPARATOR . $path); ?>`

## See Also

ini_set()
get_include_path()
restore_include_path()
include()

Prev | Home | Next
restore_include_path | Up | set_magic_quotes_runtime